package org.springblade.manager.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 归档树节点表实体类
 *
 * @author liuyc
 * @since 2022-05-16
 */
@Data
@TableName("m_archive_tree")
@EqualsAndHashCode(callSuper = true)
public class ArchiveTree extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    private String tenantId;

    /**
     * 父主键
     */
    @ApiModelProperty(value = "父主键id")
    private Long parentId;


    /**
     * 祖级列表
     */
    @ApiModelProperty(value = "祖级id列表")
    private String ancestors;


    /**
     * 节点名称
     */
    @ApiModelProperty(value = "nodeName")
    private String nodeName;

    /**
     * 节点全称
     */
    @ApiModelProperty(value = "节点全称")
    private String fullName;

    /**
     * 角色类型
     */
    @ApiModelProperty(value = "角色类型")
    private Integer roleType;

    /**
     * 节点类型
     */
    @ApiModelProperty(value = "节点类型")
    private Integer nodeType;

    /**
     * 是否为存储节点 '0'否 '1'是
     */
    @ApiModelProperty(value = "是否为存储节点 '0'否 '1'是")
    private Integer isStorageNode;

    /**
     * 是否为竣工图 '0'否 '1'是
     */
    @ApiModelProperty(value = "是否为竣工图 '0'否 '1'是")
    private Integer isBuiltDrawing;

    /**
     * 是否为接口节点 '0'否 '1'是
     */
    @ApiModelProperty(value = "是否为接口节点 '0'否 '1'是")
    private Integer isInterfaceNode;

    /**
     * 接口类型
     */
    @ApiModelProperty(value = "接口类型")
    private Integer interfaceType;


    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Integer sort;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;



}
