/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.business.service;

import org.springblade.business.entity.UserOpinion;
import org.springblade.business.vo.BusinessUserOpinionVO;
import org.springblade.business.vo.UserOpinionVO;
import org.springblade.core.mp.base.BaseService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.support.Query;
import org.springblade.core.secure.BladeUser;

import java.util.List;

/**
 * 用户意见表 服务类
 *
 * @author BladeX
 * @since 2022-05-25
 */
public interface IUserOpinionService extends BaseService<UserOpinion> {

	/**
	 * 获取所有工单及相应进度
	 * @return 结果集
	 */
	IPage<BusinessUserOpinionVO> queryBusinessUserOpinionListAll(Query query);

	/**
	 * 获取分配给当前登录用户的工单记录
	 * @return 结果集
	 */
	IPage<BusinessUserOpinionVO> queryBusinessUserOpinionList(String currentUserId, Query query);

	/**
	 * 获取当前用户提交的工单信息
	 * @param user 用户
	 * @return 结果集
	 */
	List<UserOpinionVO> queryCurrentUserOpinionList(BladeUser user);

	/**
	 * 自定义分页
	 */
	IPage<UserOpinionVO> selectUserOpinionPage(IPage<UserOpinionVO> page, UserOpinionVO userOpinion, BladeUser user);

}
